# Copyright (c) 2022, Bamboooz
# All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

import os
import psutil


def drive_list():
    disk_info = []
    for part in psutil.disk_partitions(all=False):
        if os.name == 'nt':
            if 'cdrom' in part.opts or part.fstype == '':
                continue
        disk_info.append({
            'device': part.device,
        })
    return disk_info


def get_total_space(drive_letter):
    obj_disk = psutil.disk_usage(drive_letter)
    return str(round(obj_disk.total / (1024.0 ** 3))) + 'GB'


def get_used_space(drive_letter):
    obj_disk = psutil.disk_usage(drive_letter)
    return str(round(obj_disk.used / (1024.0 ** 3))) + 'GB'


def get_free_space(drive_letter):
    obj_disk = psutil.disk_usage(drive_letter)
    return str(round(obj_disk.free / (1024.0 ** 3))) + 'GB'


def get_used_space_percent(drive_letter):
    obj_disk = psutil.disk_usage(drive_letter)
    return str(round(obj_disk.percent)) + '%'
